%define	debug_package	%{nil}

Name:		bonnie++
Version:	1.97
Release:	6
Summary:	A program for benchmarking hard drives and filesystems
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.coker.com.au/bonnie++/
Source0:	http://www.coker.com.au/bonnie++/experimental/bonnie++-%{version}.tgz
Provides:	bonnie
Obsoletes:	bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep

%setup -q -n %{name}-%{version}.1

%build
%configure2_5x
%make MORECFLAGS="%{optflags} %{?ldflags}"
perl -pi -e "s@/usr/share/doc/bonnie\+\+/@%{_docdir}/%{name}-%{version}/@" bonnie++.8

%install
[ -e debian/changelog ]&& (rm -f changelog.txt;mv debian/changelog changelog.txt)
perl -pi -e "s@usr/share/man@%{buildroot}%{_mandir}@g" Makefile
%makeinstall eprefix=%{buildroot} DESTDIR=%{buildroot}

%files
%doc changelog.txt readme.html credits.txt
/sbin/bonnie++
/sbin/getc_putc
/sbin/getc_putc_helper
/sbin/zcav
/bin/bon_csv2html
/bin/bon_csv2txt
/bin/generate_randfile
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog

* Sat Nov 14 2015 Denis Silakov <dsilakov@gmail.com> 1.97-6
- (cd71f59) Update source Url, spec cleanup


